Subject: Re: [bitcoin-dev] Opt-in Full Replace-By-Fee (Full-RBF)

From: Peter Todd <[email-masked]>
Date: Wed, 2 Dec 2015 17:27:39 +0800

On Sun, Nov 29, 2015 at 10:32:34PM -0500, Chris via bitcoin-dev wrote:
> On 11/16/2015 07:42 PM, Peter Todd via bitcoin-dev wrote:
> > Sequence is used for opting in as it is the only "free-form" field
> > available for that purpose. Opt-in per output was proposed as well by
> > Luke-Jr, however the CTxOut data structure simply doesn't contain any
> > extra fields to use for that purpose.
> What is wrong with using they same scheme as sighash_single?
> 
> If input 0 has nSequence < maxint-1 then output 0 is replaceable.
> 
> For fee bumps you would just stick the change in position zero and
> reduce the value.
> 
> You get FFS functionality without the hassle of addition other inputs.

Again, you're giving the whole world information about what's your
change address; that's simply unacceptable for privacy.

The only way to solve this is by a scheme where you pre-commit via a
hash, and reveal that later, which is extremely complex and not easily
feasible given the current tx data structure.

-- 
'peter'[:-1]@petertodd.org
0000000000000000019a7c015d7b61baa25e8afd4f1dcade4133d8a1d6b7445d